## Apache Zeta Components Manual :: Docs For Class ezcTemplateLocator

### Template::ezcTemplateLocator

### Interface ezcTemplateLocator

Source for this file: /Template/src/interfaces/locator.php

Version: | //autogen// This interface is to be implemented by objects that can act as path translators for template includes.

### Method Summary

public string | `translatePath( $path )` Method that is called upon every request for a template file.

### Methods

#### translatePath

string translatePath( string $path )

Method that is called upon every request for a template file.

The method is supposed to return a path to the resolved template file.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$path` | string |

Documentation generated by phpDocumentor 1.4.3